Imports System.Runtime.Serialization

Namespace Methods.GlobalIndexer.ImportFile
    <Serializable>
    <DataContract>
    Public Class ImportFileResponse
        Inherits Messages.BaseResponse

        <DataMember>
        Public Property ObjectId As Long

        Public Sub New(pObjectId As Long)
            MyBase.New()
            ObjectId = pObjectId
        End Sub

        Public Sub New(pException As Exception, Optional pDetails As String = "")
            MyBase.New(pException, pDetails)
        End Sub
    End Class

End Namespace
